### Function

# Nautilus FileInfo lookup

#### Declaration [src]

    NautilusFileInfo*
    nautilus_file_info_lookup (
      GFile* location
    )

#### Description

No description available.

#### Parameters

`location`

  Type: `GFile`

  The location for which to look up a corresponding `NautilusFileInfo` object.

  The data is owned by the caller of the function.

#### Return value

Type: `NautilusFileInfo`

A `NautilusFileInfo`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.